Best bet
Reference for the best bet endpoints of the Interact REST API.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/best-bets/suggestions
List suggestions.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contentId |
query | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 | |
| 500 |
Response body
[
"string"
]No documented fields.
GET /api/best-bets/terms
List terms.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
searchTerm |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 | |
| 500 |
Response body
[
{
"Term": "string",
"Count": 0
}
]| Field | Type |
|---|---|
Term | string |
Count | integer (int32) |
GET /api/best-bets/content/{contentId}
Get a content by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 | |
| 500 |
Response body
[
"string"
]No documented fields.
POST /api/best-bets/content/{contentId}
Create a content.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contentId |
path | integer (int32) | Yes |
Request body
{
"Term": "string"
}| Field | Type |
|---|---|
Term | string |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 500 |
PUT /api/best-bets/content/{contentId}
Update a content.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contentId |
path | integer (int32) | Yes |
Request body
{
"Terms": [
"string"
]
}| Field | Type |
|---|---|
Terms | array of string |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 500 |
DELETE /api/best-bets/content/{contentId}
Delete a content.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
contentId |
path | integer (int32) | Yes |
Request body
{
"Term": "string"
}| Field | Type |
|---|---|
Term | string |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 500 |
GET /api/best-bets/section/{sectionId}
Get a section by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sectionId |
path | integer (int32) | Yes | |
searchTerm |
query | string | No | |
filter |
query | string | No | |
orderBy |
query | string | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 | |
| 500 |
Response body
[
{
"ContentId": 0,
"Title": "string",
"Terms": [
"string"
],
"Count": 0
}
]| Field | Type |
|---|---|
ContentId | integer (int32) |
Title | string |
Terms | array of string |
Count | integer (int32) |
Section: REST API